# Event::addTimer

(PECL event >= 1.2.6-beta)

Event::addTimer — Makes timer event pending

### Description

public Event::addTimer ([ float `$timeout` ] ) : bool

Event::addTimer() is an alias of Event::add()

### Return Values

### Examples

Example #1 Event::addTimer() example

`<?php
$base = new EventBase();
$n = 2;
$e = Event::timer($base, function($n) use (&$e) {
echo "$n seconds elapsed\n";
$e->delTimer();
}, $n);
$e->addTimer($n);
$base->loop();
?>`

The above example will output something similar to:

    2 seconds elapsed

### See Also

- Event::add() - Makes event pending
- Event::del() - Makes event non-pending
- Event::delTimer() - Makes timer event non-pending